Bug 138027 - gd 2.0.32 is released, restores animated GIF writing support & contains important fixes
Summary: gd 2.0.32 is released, restores animated GIF writing support & contains impor...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL: http://www.boutell.com/gd/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-03 22:03 UTC by Robert Scheck
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 15:02:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diff of the gd spec files (1.46 KB, patch)
2004-11-03 22:05 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2004-11-03 22:03:15 UTC
Description of problem:
11/01/04: gd 2.0.32 has been released. gd 2.0.29 added animated GIF 
writing support, fontconfig support for easily specifying freetype 
font names, open polygon drawing, and important fixes for 
theoretically exploitable integer overflows in memory allocation 
code in previous releases. 2.0.30 corrected a minor compilation 
problem when freetype is absent, and 2.0.31 corrected a similar 
issue which prevented the Windows DLL version from being built. 
2.0.32 corrected an issue when PNG is absent and also corrected a 
problem with umlauts in truetype text output. See the what's new 
section of the gd 2.0.32 manual for additional information.

Version-Release number of selected component (if applicable):
gd-2.0.28-1

Actual results:
The following did it for me. I also did some spec file cleanup, the
"protection" is just foobar stuff, jbj told me some time ago, so I
also removed it.

Expected results:
Upgrade to 2.0.32 ;-)

Additional info:
I think, FC3 should get a update for this and FC2 also - this 
release is a improvement and contains security fixes.

Comment 1 Robert Scheck 2004-11-03 22:05:15 UTC
Created attachment 106135 [details]
Diff of the gd spec files

Comment 2 Mark J. Cox 2004-11-03 23:12:40 UTC
bug 137247 covers the security update needed; therefore removing
security tag.

Comment 3 Robert Scheck 2004-11-06 14:59:55 UTC
Fedora Core Development has gd-2.0.32-1, keeping it open until FC2/3 
get also a fix.

Comment 4 Phil Knirsch 2004-12-23 15:02:59 UTC
Closing, erratas have been released a while ago.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.